---
- entityDefinitions:
  - IDC_MethodWithStaticAndParms: '{09dc7d22-0993-4c28-b1d8-f8e43b6446ac}'
  - IDR_Method_with_Static_and_Parms__uses_parm__Work_Data: '{5c7eafbe-952e-4720-b2ab-553414c274fc}'
  - IDR_Method_with_Static_and_Parms__uses_required_parm__Work_Data: '{eeb6d2b5-48a7-4323-a9b0-e062010f681a}'
  - IDR_Work_Data__parm_used_by__Method_with_Static_and_Parms: '{b11e9dfb-0755-4d59-bd26-f53c2f4f2454}'
  - IDR_Work_Data__required_parm_used_by__Method_with_Static_and_Parms: '{d39ddadf-1497-4c7b-b29a-7c7668a6298a}'

- library: '&IDL_MochaBaseSystem;'
  instances:
  - class:     '&IDC_MethodWithStaticAndParms;'
    name:      Method with Static and Parms
    index:     31
    abstract:  yes
    instancesLabeledByRAMB: '&IDMB_Method__get__Fully_Qualified_Name;'
    translations:
    - relationship: '&IDR_Class__has_title__Translation;'
      values:
      - languageInstanceId: '&IDI_Language_English;'
        value: 'Method with Static and Parms'
    relationships:
    - instance: '&IDR_Method__for__Class;'
      customTagName: 'forClassId'
    - instance: '&IDR_Metadata_With_Access_Modifier__has__Access_Modifier;'
      customTagName: 'accessModifierId'
    - instance: '&IDR_Instance__for__Module;'
      customTagName: 'moduleId'
    - instance: '&IDR_Method__implements__Method;'
      customTagName: 'implementsMethodId'
    - instance: '&IDR_Method_with_Static_and_Parms__uses_parm__Work_Data;'
      customTagName: 'optionalParameters'
    - instance: '&IDR_Method_with_Static_and_Parms__uses_required_parm__Work_Data;'
      customTagName: 'requiredParameters'
    superclasses:
    - instance: '&IDC_Method;'

  - relationship: '&IDR_Method_with_Static_and_Parms__uses_parm__Work_Data;'
    index: 119
    sourceClassId: '&IDC_MethodWithStaticAndParms;'
    type: 'uses parm'
    destinationClassId: '&IDC_WorkData;'
    siblingRelationshipId: '&IDR_Work_Data__parm_used_by__Method_with_Static_and_Parms;'
    singular: no

  - relationship: '&IDR_Work_Data__parm_used_by__Method_with_Static_and_Parms;'
    index: 120
    sourceClassId: '&IDC_WorkData;'
    type: 'parm used by'
    destinationClassId: '&IDC_MethodWithStaticAndParms;'
    siblingRelationshipId: '&IDR_Method_with_Static_and_Parms__uses_parm__Work_Data;'
    singular: no

  - relationship: '&IDR_Method_with_Static_and_Parms__uses_required_parm__Work_Data;'
    index: 169
    sourceClassId: '&IDC_MethodWithStaticAndParms;'
    type: 'uses required parm'
    destinationClassId: '&IDC_WorkData;'
    siblingRelationshipId: '&IDR_Work_Data__required_parm_used_by__Method_with_Static_and_Parms;'
    singular: no

  - relationship: '&IDR_Work_Data__required_parm_used_by__Method_with_Static_and_Parms;'
    index: 170
    sourceClassId: '&IDC_WorkData;'
    type: 'required parm used by'
    destinationClassId: '&IDC_MethodWithStaticAndParms;'
    siblingRelationshipId: '&IDR_Method_with_Static_and_Parms__uses_required_parm__Work_Data;'
    singular: no
    